<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddGeoLocationFilterReq StructType
 * @subpackage Structs
 */
class AddGeoLocationFilterReq extends APIRequest
{
    /**
     * The geoLocationFilter
     * @var XGeoLocationFilter
     */
    public $geoLocationFilter;
    /**
     * Constructor method for AddGeoLocationFilterReq
     * @uses AddGeoLocationFilterReq::setGeoLocationFilter()
     * @param XGeoLocationFilter $geoLocationFilter
     */
    public function __construct(XGeoLocationFilter $geoLocationFilter = null)
    {
        $this
            ->setGeoLocationFilter($geoLocationFilter);
    }
    /**
     * Get geoLocationFilter value
     * @return XGeoLocationFilter|null
     */
    public function getGeoLocationFilter()
    {
        return $this->geoLocationFilter;
    }
    /**
     * Set geoLocationFilter value
     * @param XGeoLocationFilter $geoLocationFilter
     * @return AddGeoLocationFilterReq
     */
    public function setGeoLocationFilter(XGeoLocationFilter $geoLocationFilter = null)
    {
        $this->geoLocationFilter = $geoLocationFilter;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddGeoLocationFilterReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
